Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.messaging
Class MessageLostMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.MessageLostMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class MessageLostMessage

extends PastMessage

Version:
  $Id: MessageLostMessage.java 3387 2006-09-12 13:09:45Z jeffh $
Author:
  Alan Mislove, Ansley Post, Peter Druschel
See Also:
  Serialized Form

Field Summary
`protected NodeHandle` | `hint` DESCRIBE THE FIELD
`protected Id` | `id` DESCRIBE THE FIELD
`protected java.lang.String` | `messageString` DESCRIBE THE FIELD
`static short` | `TYPE` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`MessageLostMessage(int uid, NodeHandle local, Id id, Message message, NodeHandle hint)` Constructor which takes a unique integer Id and the local id

Method Summary
`short` | `getType()` Gets the Type attribute of the MessageLostMessage object
`void` | `returnResponse(Continuation c, Environment env, java.lang.String instance)` Method by which this message is supposed to return it's response - in this case, it lets the continuation know that a the message was lost via the receiveException method.
`void` | `serialize(OutputBuffer buf)` DESCRIBE THE METHOD
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected Id id

  DESCRIBE THE FIELD

### hint

    protected NodeHandle hint

  DESCRIBE THE FIELD

### messageString

    protected java.lang.String messageString

  DESCRIBE THE FIELD

### TYPE

    public static final short TYPE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### MessageLostMessage

    public MessageLostMessage(int uid,
                              NodeHandle local,
                              Id id,
                              Message message,
                              NodeHandle hint)

  Constructor which takes a unique integer Id and the local id

  Parameters:
    `uid` - The unique id
    `local` - The local nodehandle
    `id` - DESCRIBE THE PARAMETER
    `message` - DESCRIBE THE PARAMETER
    `hint` - DESCRIBE THE PARAMETER

Method Detail

### getType

    public short getType()

  Gets the Type attribute of the MessageLostMessage object

  Returns:
    The Type value

### returnResponse

    public void returnResponse(Continuation c,
                               Environment env,
                               java.lang.String instance)

  Method by which this message is supposed to return it's response - in this case, it lets the continuation know that a the message was lost via the receiveException method.

  Specified by:
    `returnResponse` in class `PastMessage`
  Parameters:
    `c` - The continuation to return the reponse to.
    `env` - DESCRIBE THE PARAMETER
    `instance` - DESCRIBE THE PARAMETER

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representing this message

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  DESCRIBE THE METHOD

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `PastMessage`
  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.